Subject: pagebreaks, &c in indexes



a) Is there any way of ensuring that an index generated by  makeindex
is not broken between an item and its following subitem? - e.g.:

network  12
news
========= pagebreak ============
  bad  13
  good  14
next  15

I guess (see Companion p.359) that it could possibly be done via the
keyword  item_x1  in the  *.ist  file, if at all.  If so, then how?
\nopagebreak  in the  *.ind  file seems to have no effect.

b) Furthermore, is there any way of generating the following?  My guess
is `no':

news
  bad  13
  good  14
  \emph{see also} gnus

David Handscomb

Numerical Analysis Group
Oxford University Computing Laboratory
Wolfson Building
Parks Road
Oxford OX1 3QD
ENGLAND
 
tel. (national) 01865 273891 (international) +44 1865 273891 
FAX  (national) 01865 273839 (international) +44 1865 273839 
E-mail [email-masked] / [email-masked]

- ----- End Included Message -----

------------------------------

From: "e-Floyd B. Hanson, UIC 312-413-2142" <[email-masked]>
Date: Tue, 18 Jun 1996 12:08:18 CDT
Subject: Re: TeXhax Digest V96 #8

> TeXhax Digest              Tuesday, 18 June 1996       Volume 96 : Number 008
>
> (incorporating UKTeX Digest)
>
> Today's Topics:
>
>     Re: TeXhax Digest V96 #7
>     Re: TeXhax Digest V96 #7
>     Re: TeXhax Digest V96 #7
>     Re: Location of David Jones' index package (TeXhax V96 #7)
>     Re: excalibur
>     TeXhax Digest V96 #6
>     Writing long formulas
>     Fonts in Latex2.09
>     [none]
>     EMTeX no longer available from ftp.shsu.edu
>
> ----------------------------------------------------------------------
>
> From: Sebastian Rahtz <[email-masked]>
> Date: Thu, 30 May 1996 08:22:44 +0100
> Subject: Re: TeXhax Digest V96 #7
>
>  > I would like to be able to increase the
>  > maximum number ``strings'' available to
>  > TeX for processing documents.  It may also
>  > be usefull to increase the upper limit
>  > on the number of fonts allowed.
> yes, you can do it. but its not trivial. current releases of TeX for
> DOS (emtex) and Mac (OzTeX) allow you to do it dynamically), while
> Textures and Y&Y TeX claim to just give you unlimited memory (I only say
> claim because i havent tried it myself). If you have Unix TeX, lets
> assume you have the web2c stuff. in that case, find the directory
> web2c/tex and the file ctex.ch. thats the "change file", and near the
> top you find a set of constants which are set to complicated
> values. thats where you play, and thats as far as I am going to give a
> recipe! you have to understand how change files work (read the WEB
> documentation) and what the values do. NOTE that some values are
> already at their upper limit
>
> sebastian rahtz
>
>
> ------------------------------
>
> From: David Carlisle <[email-masked]>
> Date: Wed, 29 May 1996 17:03:05 +0100
> Subject: Re: TeXhax Digest V96 #7
>
>> Abstract: I want to put a token with catcode 1 in the parameter text
>> of a macro, and I don't know how.
>
> You can't.
>
>> Essentially, I would like to define a macro
>
>> \def\foo#1\end{largeenough}{...}
>
> you have to go
>
> \def\foo#1\end#2{...
> and then check that #2 is `largeenough' and if not search for the next
> \end. It's a bit of a pain, but that's life. There are examples of this
> in the ams alignment environments, and tabularx and load of other
> places.
>
> David
>
>
>
> ------------------------------
>
> From: Matteo Frigo <[email-masked]>
> Date: Wed, 29 May 1996 12:07:58 -0400
> Subject: Re: TeXhax Digest V96 #7
>
>> \def\foo#1\end#2{...
>> and then check that #2 is `largeenough' and if not search for the next
>> \end. It's a bit of a pain, but that's life. There are examples of this
>> in the ams alignment environments, and tabularx and load of other
>> places.
>>
>> David
>>
>
> Thanks for your answer. In fact, this is what I am doing now. I am
> glad to hear that there is no better way to do the same thing.
>
> Cheers
> Matteo
>
>
> ------------------------------
>
> From: Robin Fairbairns <[email-masked]>
> Date: Wed, 29 May 1996 17:32:15 +0100
> Subject: Re: Location of David Jones' index package (TeXhax V96 #7)
>
> Robert Coleman <[email-masked]> writes:
>>On page 367 of the LaTeX Companion, the index
>>package written by David Jones is discussed.
>>I have, however, not been able to find it on
>>CTAN. [...]
>
> I maintain a file (on CTAN, of course) info/companion.ctan; this aims
> to list all packages mentioned in the Companion, and to give their
> location on CTAN.
>
> In this instance, it says
>
>   index
>     macros/latex209/contrib/misc/index.doc
>
> As you will note, this is a 2.09 package.  A 2e one is in development,
> and I have a copy of a beta-version.  Sadly, I failed to note which
> MIT machine I got it from, and it's pretty old.  Perhaps David Jones
> himself will respond...  (Or even submit a new version for the
> archive?)
> - --
> Robin (Campaign for Real Radio 3) Fairbairns     [email-masked]
> U of Cambridge Computer Lab, Pembroke St, Cambridge  CB2 3QG, UK
> Home page: http://www.cl.cam.ac.uk/users/rf/robin.html
>
>
> ------------------------------
>
> From: [email-masked] (Dr Alun J. Carr)
> Date: Thu, 30 May 1996 10:55:33 +0100
> Subject: Re: excalibur
>
> On Wed, 1 May 1996 11:00:31 +0100 [email-masked] (Pierre Sens) wrote:
>>Hi Tex users,
>>
>>I would like to use the spell checker Excalibur for documents in French on
>>my Macintosh. I heard about a french dictionnary for Excalibur. Does
>>anybody know where I could download it.
>
> <ftp://ftp.eg.bucknell.edu/pub/mac/Excalibur-dictionaries/Dico-Francais-sea.hq
> x>
>
> Alun
>
>
> - --
> Dr Alun J. CARR                 Phone:  +353-1-7061989
> Mechanical Engineering Dept.            +353-1-2693244 x1989
> University College Dublin       Fax:    +353-1-2830534
> Belfield                        E-mail: <[email-masked]>
> Dublin 4                        WWW:    <http://tizit.ucd.ie/ajcarr/>
> Ireland
>
>
> ------------------------------
>
> From: [email-masked] (Berthold K.P. Horn)
> Date: Fri, 31 May 1996 08:34:23 -0400
> Subject: TeXhax Digest V96 #6
>
>> From: Russel Winder <[email-masked]>
>> Date: Tue, 07 May 1996 02:50:36 +0100
>> Subject: PostScript from other programs
>>
>> I regularly need to include PostScript figures in documents.  I find
>> idraw on Unix produces excellent relocatable PostScript descriptions
>> but it is a little simplistic.  There are excellent command language
>> mechanisms for creating PostScript tricks using LaTeX but I really
>> want to make use of (essentially) WYSIWYG programs like idraw,
>> FrameMaker and Word to create images for inclusion in LaTeX2e
>> documents.  Furthermore I often have the requirement to use other
>> people's PostScript in my LaTeX documents and have no control over the
>> programs used to create the PostScript.
>>
>> In the past I have been able to use PostScript produced by various
>> Macintosh programs (though judicious editing out of font information
>> is usually required) and also PostScript produced by the PostScript
>> driver under Windows3.1.
>>
>> At the pther extreme, FrameMaker has always been a pain in the !@#$.
>> The PostScript produced by this program is totally un-relocatable.  It
>> assumes total control of the page and I have yet to discover the
>> necessary edits to remove it's dictatorial efforts and hence make the
>> PostScript relocatable.
>>
>> Moreover Microsoft appear to have gone down this same road and this is
>> my real problem.  Word7 with the Apple LaaserWriter plus driver (under
>> Windows95) now produces code that it not relocatable.  Indeed it has
>> this penchant for trying to enquire of the amount of virtual memory on
>> a regular basis which makes the PostScript file of a document
>> un-previewable with ghostscript.  I have found the trick for removing
>> this VM quesry problem but have not found the trick for removing the
>> manipulations that bind the coordinate system to the page in it's
>> dictatorial manner.
>>
>> Is there a pool of experience on (or even tools to help forcing Word7
>> and FrameMaker PostScript into a relocatable and hence usable form?
>>
>> Thanks for any guidance and/or pointers.
>>
>> Russel.
>         >
>> =======================================================================
>>
>> Dr Russel Winder
>>
>>   Reader in Software Engineering
>>   Editor-in-Chief, Object Oriented Systems
>>
>> Information Systems Research Group
>> Department of Computer Science                  Phone: +44 (0)171 380 7293
>> University College London               Fax: +44 (0)171 387 1397
>> Gower Street                            EMail: [email-masked]
>> London WC1E 6BT
>> UK                      URL: http://www.cs.ucl.ac.uk/staff/R.Winder/
>>
>> =======================================================================
>
> You must make sure the applications export in EPS format.
>
> If you use raw PS, you are asking for trouble, because
> PS drivers are allowed to use arbitrary PS code including the
> forbidden-in-EPS operators that are troubling you.
>
> Most printer drivers have a check box this produce EPS output.
> If you can't use EPS because the output is multi-page then you
> are not using EPS, since that by definition is one page only.
>
> Berthold.
>
>
> ------------------------------
>
> From: Dominique de Waleffe <[email-masked]>
> Date: Wed, 5 Jun 96 15:42:51 +0200
> Subject: Writing long formulas
>
> In Digital SRC report 119, Leslie Lamport presents a nice way to
> format long mathematical formulas so that reading is a lot easier.
>
> Does anyone know a Latex package which implements those conventions?
>
> I'd be very interested.
>
> D.
> - --
> Dominique de Waleffe
> Mission Critical, Wijnegemhofstraat 199, B-3071 Erps-Kwerps (Belgium)
> Phone: +32 2 759 95 60  Fax: +32 2 759 27 60
> email: [email-masked], [email-masked]
> PGP key fingerprint: F9 CC 23 74 44 62 7C F3  8C 12 DF 71 BB 60 54 98
>
>
>
> ------------------------------
>
> From: "Klaus M. Wendel" <[email-masked]>
> Date: Tue, 11 Jun 1996 11:56:13 +0200 (MSZ)
> Subject: Fonts in Latex2.09
>
> Help!
>
> I am using LaTex Version 2.09 and i have to print a document in HELVETICA.
>
> Is there a (easy) way to do this?
>
> Thanks!
>
> - ---------------------------------------------------
> Klaus M. Wendel                          always :-)
> E-Mail: [email-masked]
> WWW:    http://www.wu-wien.ac.at/usr/h93/h9304890/
> - ---------------------------------------------------
>
>
> ------------------------------
>
> From: David Simpson <[email-masked]>
> Date: Mon, 17 Jun 1996 09:53:46 +0100
> Subject: [none]
>
> Does anybody know how to convert LaTeX(2e) files
> to, dare I say, Word or Wordperfect documents?
> Apologies to all tex fans for asking this, but
> unfortunately I can't persuade all my PC-based colleagues
> to switch to LateX, but I need to send them text
> for reports.
>
> Thanks,  Dave Simpson      ([email-masked])
>
>
> ------------------------------
>
> From: Rainer Schoepf <[email-masked]>
> Date: Tue, 18 Jun 1996 11:14:13 +0200 (MET DST)
> Subject: EMTeX no longer available from ftp.shsu.edu
>
> As ftp.shsu.edu is not properly managed, and the emTeX files there are
> partially out of date, I removed emTeX at teh request of Eberhard
> Mattes from ftp.shsu.edu.
>
> We are apologize for the inconvenience, but the CTAN team doesn't have
> the resources to manage a site from across the atlantic.
>
> For the CTAN team
>
> - --
>    Rainer Schvpf
>    Zentrum f|r Datenverarbeitung           A point of view can be a dangerous
>     der Universitdt Mainz                  luxury when substituted for insight
>    Anselm-Franz-von-Bentzel-Weg 12         and understanding.
>    D-55099 Mainz
>    Germany                                  Herbert Marshall McLuhan:
>    <[email-masked]>                          The Gutenberg Galaxy
>
> ------------------------------
>
> End of TeXhax Digest V96 #8
> ***************************
>
>
> About TeXhax...
>
> Please send contributions to: [email-masked]
>
> Subscription and unsubscription requests:
>     send a one line mail message to [email-masked]
>     containing either               subscribe texhax
>     or                              unsubscribe texhax
> If you have problems with un/subscribing, please mail [email-masked]
>
> To obtain the Frequently Asked Questions (FAQ) lists for TeX, send a
> message with no subject to [email-masked], consisting of
> SENDME FAQ
>
> For information on the TeX Users Group, please send a message to
> [email-masked], or write TeX Users Group, 1850 Union Street, #1637
> San Francisco CA 94123  (phone: 1 415 982 8449, fax:   1 415 982 8559)
>
> Backnumbers of all the digests are stored in the Comprehensive TeX
> Archive Network (CTAN) and can be retrieved on the Internet by
> anonymous ftp.  The hosts comprising CTAN include, among others,
>     ftp.dante.de (129.69.1.12)   -- Germany
>     ftp.shsu.edu (192.92.115.10) -- USA
>     ftp.tex.ac.uk (128.232.1.87) -- UK
> Please use your nearest server, to keep network load down.
> The file /tex-archive/CTAN.sites on each of these hosts gives a
> list of other sites which maintain full or partial mirrors of the CTAN.
> Alternatively, finger [email-masked] for full details.
>
> TeXhax Digest back issues are filed below /tex-archive/digests/texhax/
> Keyword-In-Context indexes are filed in /tex-archive/digests/indexes/
>
> A Hypermail version of TeXhax is also available on the World-Wide Web at URL
> http://www.tex.ac.uk/tex-archive/digests/hyper/
>
> \bye

------------------------------

End of TeXhax Digest V96 #9
***************************

About TeXhax...

Please send contributions to: [email-masked]

Subscription and unsubscription requests:
    send a one line mail message to [email-masked]
    containing either               subscribe texhax
    or                              unsubscribe texhax
If you have problems with un/subscribing, please mail [email-masked]

To obtain the Frequently Asked Questions (FAQ) lists for TeX, send a
message with no subject to [email-masked], consisting of
SENDME FAQ

For information on the TeX Users Group, please send a message to
[email-masked], or write TeX Users Group, 1850 Union Street, #1637
San Francisco CA 94123  (phone: 1 415 982 8449, fax:   1 415 982 8559)

Backnumbers of all the digests are stored in the Comprehensive TeX
Archive Network (CTAN) and can be retrieved on the Internet by
anonymous ftp.  The hosts comprising CTAN include, among others,
    ftp.dante.de (129.69.1.12)   -- Germany
    ftp.shsu.edu (192.92.115.10) -- USA
    ftp.tex.ac.uk (128.232.1.87) -- UK
Please use your nearest server, to keep network load down.
The file /tex-archive/CTAN.sites on each of these hosts gives a
list of other sites which maintain full or partial mirrors of the CTAN.
Alternatively, finger [email-masked] for full details.

TeXhax Digest back issues are filed below /tex-archive/digests/texhax/
Keyword-In-Context indexes are filed in /tex-archive/digests/indexes/

A Hypermail version of TeXhax is also available on the World-Wide Web at URL
http://www.tex.ac.uk/tex-archive/digests/hyper/

\bye